SDL_AttachVirtualJoystick(3)

NAME
SDL_AttachVirtualJoystick - Attach a new virtual joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_JoystickID SDL_AttachVirtualJoystick(const SDL_VirtualJoystickDesc *desc);

FUNCTION PARAMETERS

desc
    joystick description, initialized using SDL_INIT_INTERFACE().

RETURN VALUE
Returns the joystick instance ID, or 0 on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DetachVirtualJoystick(3)